      SUBROUTINE MAIN
      INTEGER GETARG, I
      LOGICAL*1 BUF(512)
      CALL QUERY(22Husage:  echo [arg] ...)
      I=1
23000 IF (.NOT.(GETARG(I, BUF, 512) .NE. -1))GOTO 23002
      IF (.NOT.(I .GT. 1))GOTO 23003
      CALL PUTCH(32, 2)
23003 CONTINUE
      CALL PUTLIN (BUF, 2)
23001 I=I+1
      GOTO 23000
23002 CONTINUE
      IF (.NOT.(I .NE. 1))GOTO 23005
      CALL PUTCH (10, 2)
23005 CONTINUE
      RETURN
      END
